package com.oguerreiro.resilient.domain.enumeration;

/**
 * Variable InputMode enum
 * Defines how the input values for the variable are inserted.
 */
public enum InputMode {
    /**
     * Values are inserted by DataFile only. User can always change the value manually, but they can&#39;t delete it or insert it
     */
    DATAFILE,
    /**
     * Values are inserted Manually. In this mode, only a human can insert and change the variable values. If a file or integration attempts to insert it, an error will be thrown
     */
    MANUAL,
    /**
     * Values are inserted by Integration files. Very similar to the option DATAFILE
     */
    INTEGRATION,
    /**
     * The variable can be inserted by any of the modes
     */
    ANY,
}
