package com.oguerreiro.resilient.web.rest;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.oguerreiro.resilient.domain.MetadataValue;
import com.oguerreiro.resilient.repository.MetadataValueRepository;
import com.oguerreiro.resilient.service.MetadataValueService;
import com.oguerreiro.resilient.service.dto.MetadataValueDTO;

/**
 * REST controller for managing {@link com.oguerreiro.resilient.domain.MetadataValue}.
 */
@RestController
@RequestMapping("/api/metadata-values")
public class MetadataValueResource extends AbstractResilientResource<MetadataValue, MetadataValueDTO, Long> {

  private static final String ENTITY_NAME = "metadataValue";

  public MetadataValueResource(MetadataValueService metadataValueService,
      MetadataValueRepository metadataValueRepository) {
    super(MetadataValue.class, metadataValueRepository, metadataValueService);
  }

  /* Abstract methods impl*/
  @Override
  protected String getEntityName() {
    return ENTITY_NAME;
  }
}
