import { Component, inject } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import SharedModule from 'app/shared/shared.module';
import { ITEM_DELETED_EVENT } from 'app/config/navigation.constants';
import { IInputData } from '../input-data.model';
import { InputDataService } from '../service/input-data.service';

@Component({
  standalone: true,
  templateUrl: './input-data-delete-dialog.component.html',
  imports: [SharedModule, FormsModule],
})
export class InputDataDeleteDialogComponent {
  inputData?: IInputData;

  protected inputDataService = inject(InputDataService);
  protected activeModal = inject(NgbActiveModal);

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.inputDataService.delete(id).subscribe(() => {
      this.activeModal.close(ITEM_DELETED_EVENT);
    });
  }
}
