import { Component, input } from '@angular/core';
import { RouterModule } from '@angular/router';

import SharedModule from 'app/shared/shared.module';
import { DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe } from 'app/shared/date';
import { IMetadataValue } from '../metadata-value.model';

@Component({
  standalone: true,
  selector: 'jhi-metadata-value-detail',
  templateUrl: './metadata-value-detail.component.html',
  imports: [SharedModule, RouterModule, DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe],
})
export class MetadataValueDetailComponent {
  metadataValue = input<IMetadataValue | null>(null);

  previousState(): void {
    window.history.back();
  }
}
