import { Component, input } from '@angular/core';
import { RouterModule } from '@angular/router';

import SharedModule from 'app/shared/shared.module';
import { DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe } from 'app/shared/date';
import { IVariableScope } from '../variable-scope.model';

@Component({
  standalone: true,
  selector: 'jhi-variable-scope-detail',
  templateUrl: './variable-scope-detail.component.html',
  imports: [SharedModule, RouterModule, DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe],
})
export class VariableScopeDetailComponent {
  variableScope = input<IVariableScope | null>(null);

  previousState(): void {
    window.history.back();
  }
}
